diff -u -r1.1.1.7.4.2.2.13 nnmh.el
--- nnmh.el	2 May 2003 02:33:40 -0000	1.1.1.7.4.2.2.13
+++ nnmh.el	16 May 2003 10:35:34 -0000
@@ -58,6 +58,9 @@
 articles in this folder.  The articles that are \"new\" will be marked
 as unread by Gnus.")
 
+(defvoo nnmh-request-group-hook nil
+  "*Hook run after scan group.")
+
 
 
 (defconst nnmh-version "nnmh 1.0"
@@ -178,6 +181,7 @@
 	(nnheader-report 'nnmh "Selected group %s" group)
 	t)
        (t
+   	(run-hooks 'nnmh-request-group-hook)
 	;; Re-scan the directory if it's on a foreign system.
 	(nnheader-re-read-dir pathname)
 	(setq dir
@@ -232,14 +236,13 @@
   (unless (string= (expand-file-name nnmh-toplev) dir)
     (let ((files (mapcar
 		  (lambda (name) (string-to-int name))
-		  (directory-files dir nil "^[0-9]+$" t))))
+		  (directory-files dir nil "^[0-9]+$" t)))
+	  group)
       (when files
 	(save-excursion
 	  (set-buffer nntp-server-buffer)
 	  (goto-char (point-max))
-	  (insert
-	   (format
-	    "%s %.0f %.0f y\n"
+ 	  (setq group
 	    (progn
 	      (string-match
 	       (regexp-quote
@@ -251,7 +254,12 @@
 		(nnheader-replace-chars-in-string
 		 (substring dir (match-end 0))
 		 ?/ ?.)
-		nnmail-pathname-coding-system)))
+		nnmail-pathname-coding-system))))
+  	  (run-hooks 'nnmh-request-group-hook)
+	  (insert
+	   (format
+	    "%s %.0f %.0f y\n"
+	    group
 	    (apply 'max files)
 	    (apply 'min files)))))))
   t)

